10.3.3 Target iOS and MACOS what versions of XCODE are supported

Do we have a definitive list of the version of XCODE and command line tools that can be used to develop for iOS and MACOS

If I have a mac running macOS 10.14: Mojave and one running macOS 10.15: Catalina

What are the versions of XCODE that RAD Studio 10.3.3 requires for each of these to produce working apps?